Bug 526069 - SIGQUIT doesn't shut down service engines
Summary: SIGQUIT doesn't shut down service engines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 16:25 UTC by Steven Dake
Modified: 2016-04-26 14:00 UTC (History)
2 users (show)

Fixed In Version: openais-0.80.6-11.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:48:22 UTC


Attachments (Terms of Use)
patch to fix the problem (376 bytes, application/octet-stream)
2009-09-28 16:26 UTC, Steven Dake
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0180 normal SHIPPED_LIVE openais bug fix update 2010-03-29 12:18:57 UTC

Description Steven Dake 2009-09-28 16:25:17 UTC
Description of problem:
ctrl-c doesn't execute shutdown path of service engines in openais.

Version-Release number of selected component (if applicable):
openais-0.80.6-8

How reproducible:
100%

Steps to Reproduce:
1. ctrl-c running openais service in foreground
2. 
3.
  
Actual results:
services are not shutdown

Expected results:
information about service shutdown should be printed

Additional info:

Comment 1 Steven Dake 2009-09-28 16:26:37 UTC
Created attachment 362912 [details]
patch to fix the problem

Comment 3 Nate Straz 2009-09-28 17:14:54 UTC
Do you mean SIGINT or SIGQUIT?  Ctrl-C usually sends SIGINT.

Comment 4 Steven Dake 2009-10-01 20:28:01 UTC
SIGINT sorry description is wrong.

Comment 7 errata-xmlrpc 2010-03-30 07:48:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0180.html


Note You need to log in before you can comment on or make changes to this bug.